Index: drivers/scsi/FlashPoint.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/FlashPoint.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/FlashPoint.c	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/FlashPoint.c	4 Aug 2004 01:29:32 -0000	1.2
@@ -163,9 +163,9 @@
  *
  *   Description:  Common shared global defines.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 #ifndef __GLOBALS_H__
@@ -402,9 +402,9 @@
  *   Description:  Common shared SCCB Interface defines and SCCB 
  *						 Manager specifics defines.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -720,9 +720,9 @@
  *   Description: This module contains SCCB/UCB Manager implementation
  *                specific stuff.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -877,9 +877,9 @@
  *
  *   Description:  Definitions for Target related structures
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -1076,9 +1076,9 @@
  *
  *   Description:  Register definitions for HARPOON ASIC.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -1208,9 +1208,9 @@
  *
  *   Description:  Definitions for EEPROM related structures
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -1293,9 +1293,9 @@
  *
  *   Description:  Register definitions for HARPOON ASIC.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -2326,7 +2326,7 @@
 extern unsigned int SccbGlobalFlags;
 
 
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -2340,9 +2340,9 @@
  *   Description:  Functions relating to handling of the SCCB interface
  *                 between the device driver and the HARPOON.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -5352,7 +5352,7 @@
 }
 
 #endif
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -5366,9 +5366,9 @@
  *   Description:  Functions relating to handling of the SCCB interface 
  *                 between the device driver and the HARPOON.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -5424,7 +5424,7 @@
 UCHAR    debug_index[MAX_CARDS] = { 0 };
 UCHAR    reserved_1[3] = { 0 };
 #endif
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -5439,9 +5439,9 @@
  *                 selection/reselection, sync negotiation, message-in
  *                 decoding.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -7518,7 +7518,7 @@
 }
 
 
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -7533,9 +7533,9 @@
  *                 the target asserts request (and the automation is not
  *                 enabled to handle the situation).
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -8267,7 +8267,7 @@
 
 
 
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -8281,9 +8281,9 @@
  *   Description:  Functions relating to programming the automation of
  *                 the HARPOON.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -8659,7 +8659,7 @@
 
    queueCmdComplete(&BL_Card[p_card], currSCCB, p_card);
 }
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -8672,9 +8672,9 @@
  *
  *   Description:  Functions to start, stop, and abort BusMaster operations.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -9351,7 +9351,7 @@
       currSCCB->Sccb_XferCnt = currSCCB->DataLength - currSCCB->Sccb_ATC;
       }
 }
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -9366,9 +9366,9 @@
  *                 and the determination of the SCSI IDs to be assigned
  *                 to all perspective SCSI targets.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -10581,7 +10581,7 @@
    utilEEWrite(p_port, sum_data, EEPROM_CHECK_SUM/2);
    utilEEWriteOnOff(p_port,0);   /* Turn off write access */
 }
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -10595,9 +10595,9 @@
  *   Description:  Diagnostic funtions for testing the integrity of
  *                 the HARPOON.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 
@@ -11026,7 +11026,7 @@
 
 }
 
-#ident "$Id: FlashPoint.c,v 1.1 2004/07/22 19:50:02 joff Exp $"
+#ident "$Id: FlashPoint.c,v 1.2 2004/08/04 01:29:32 joff Exp $"
 /*----------------------------------------------------------------------
  *
  *
@@ -11040,9 +11040,9 @@
  *   Description:  Utility functions relating to queueing and EEPROM
  *                 manipulation and any other garbage functions.
  *
- *   $Date: 2004/07/22 19:50:02 $
+ *   $Date: 2004/08/04 01:29:32 $
  *
- *   $Revision: 1.1 $
+ *   $Revision: 1.2 $
  *
  *----------------------------------------------------------------------*/
 /*#include <globals.h>*/
Index: drivers/scsi/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/Makefile	22 Jul 2004 19:50:01 -0000	1.1
+++ drivers/scsi/Makefile	4 Aug 2004 01:29:32 -0000	1.2
@@ -27,16 +27,13 @@
 
 subdir-$(CONFIG_SCSI_AACRAID)	+= aacraid
 subdir-$(CONFIG_SCSI_AIC7XXX)	+= aic7xxx
-subdir-$(CONFIG_SCSI_AIC79XX)	+= aic79xx
+subdir-$(CONFIG_SCSI_AIC79XX)	+= aic7xxx
 subdir-$(CONFIG_PCMCIA)		+= pcmcia
 
 
 obj-$(CONFIG_SCSI)		+= scsi_mod.o
 
-obj-$(CONFIG_A4000T_SCSI)	+= amiga7xx.o	53c7xx.o
-obj-$(CONFIG_A4091_SCSI)	+= amiga7xx.o	53c7xx.o
-obj-$(CONFIG_BLZ603EPLUS_SCSI)	+= amiga7xx.o	53c7xx.o
-obj-$(CONFIG_WARPENGINE_SCSI)	+= amiga7xx.o	53c7xx.o
+obj-$(CONFIG_SCSI_AMIGA7XX)	+= amiga7xx.o	53c7xx.o
 obj-$(CONFIG_A3000_SCSI)	+= a3000.o	wd33c93.o
 obj-$(CONFIG_A2091_SCSI)	+= a2091.o	wd33c93.o
 obj-$(CONFIG_GVP11_SCSI)	+= gvp11.o	wd33c93.o
@@ -73,7 +70,7 @@
   obj-$(CONFIG_SCSI_AIC7XXX)	+= aic7xxx/aic7xxx.o
 endif
 ifeq ($(CONFIG_SCSI_AIC79XX),y)
-  obj-$(CONFIG_SCSI_AIC79XX)	+= aic79xx/aic79xx.o
+  obj-$(CONFIG_SCSI_AIC79XX)	+= aic7xxx/aic79xx.o
 endif
 obj-$(CONFIG_SCSI_AIC7XXX_OLD)	+= aic7xxx_old.o
 obj-$(CONFIG_SCSI_IPS)		+= ips.o
@@ -97,7 +94,7 @@
 obj-$(CONFIG_SCSI_NCR53C7xx)	+= 53c7,8xx.o 
 subdir-$(CONFIG_SCSI_SYM53C8XX_2)	+= sym53c8xx_2
 ifeq ($(CONFIG_SCSI_SYM53C8XX_2),y)
-  obj-$(CONFIG_SCSI_SYM53C8XX_2)	+= sym53c8xx_2/sym53c8xx.o
+  obj-$(CONFIG_SCSI_SYM53C8XX_2)	+= sym53c8xx_2/sym53c8xx_2.o
 endif
 obj-$(CONFIG_SCSI_SYM53C8XX)	+= sym53c8xx.o 
 obj-$(CONFIG_SCSI_NCR53C8XX)	+= ncr53c8xx.o 
@@ -110,6 +107,7 @@
 obj-$(CONFIG_SCSI_DC390T)	+= tmscsim.o
 obj-$(CONFIG_SCSI_AM53C974)	+= AM53C974.o
 obj-$(CONFIG_SCSI_MEGARAID)	+= megaraid.o
+obj-$(CONFIG_SCSI_MEGARAID2)	+= megaraid2.o
 obj-$(CONFIG_SCSI_ACARD)	+= atp870u.o
 obj-$(CONFIG_SCSI_SUNESP)	+= esp.o
 obj-$(CONFIG_SCSI_GDTH)		+= gdth.o
Index: drivers/scsi/NCR5380.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/NCR5380.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/NCR5380.c	22 Jul 2004 19:50:06 -0000	1.1
+++ drivers/scsi/NCR5380.c	4 Aug 2004 01:29:32 -0000	1.2
@@ -31,8 +31,8 @@
 
 /*
  * $Log: NCR5380.c,v $
- * Revision 1.1  2004/07/22 19:50:06  joff
- * Initial revision
+ * Revision 1.2  2004/08/04 01:29:32  joff
+ * merging 2.4.26-vrs1
  *
 
  * Revision 1.10 1998/9/2	Alan Cox
@@ -696,7 +696,7 @@
 			trying_irqs |= mask;
 
 	timeout = jiffies + (250 * HZ / 1000);
-	probe_irq = IRQ_NONE;
+	probe_irq = SCSI_IRQ_NONE;
 
 	/*
 	 * A interrupt is triggered whenever BSY = false, SEL = true
@@ -713,7 +713,7 @@
 	NCR5380_write(OUTPUT_DATA_REG, hostdata->id_mask);
 	NCR5380_write(INITIATOR_COMMAND_REG, ICR_BASE | ICR_ASSERT_DATA | ICR_ASSERT_SEL);
 
-	while (probe_irq == IRQ_NONE && time_before(jiffies, timeout))
+	while (probe_irq == SCSI_IRQ_NONE && time_before(jiffies, timeout))
 		barrier();
 
 	NCR5380_write(SELECT_ENABLE_REG, 0);
@@ -863,7 +863,7 @@
 
 	SPRINTF("\nBase Addr: 0x%05lX    ", (long) instance->base);
 	SPRINTF("io_port: %04x      ", (int) instance->io_port);
-	if (instance->irq == IRQ_NONE)
+	if (instance->irq == SCSI_IRQ_NONE)
 		SPRINTF("IRQ: None.\n");
 	else
 		SPRINTF("IRQ: %d.\n", instance->irq);
@@ -1709,7 +1709,7 @@
 #endif				/* def NCR_TIMEOUT */
 
 	dprintk(NDEBUG_SELECTION, ("scsi%d : target %d selected, going into MESSAGE OUT phase.\n", instance->host_no, cmd->target));
-	tmp[0] = IDENTIFY(((instance->irq == IRQ_NONE) ? 0 : 1), cmd->lun);
+	tmp[0] = IDENTIFY(((instance->irq == SCSI_IRQ_NONE) ? 0 : 1), cmd->lun);
 
 	len = 1;
 	cmd->tag = 0;
Index: drivers/scsi/NCR5380.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/NCR5380.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/NCR5380.h	22 Jul 2004 19:50:06 -0000	1.1
+++ drivers/scsi/NCR5380.h	4 Aug 2004 01:29:32 -0000	1.2
@@ -23,8 +23,8 @@
 
 /*
  * $Log: NCR5380.h,v $
- * Revision 1.1  2004/07/22 19:50:06  joff
- * Initial revision
+ * Revision 1.2  2004/08/04 01:29:32  joff
+ * merging 2.4.26-vrs1
  *
  */
 
@@ -236,7 +236,7 @@
  * Scsi_Host structure
  */
 
-#define IRQ_NONE	255
+#define SCSI_IRQ_NONE	255
 #define DMA_NONE	255
 #define IRQ_AUTO	254
 #define DMA_AUTO	254
Index: drivers/scsi/NCR53C9x.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/NCR53C9x.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/NCR53C9x.h	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/NCR53C9x.h	4 Aug 2004 01:29:32 -0000	1.2
@@ -639,8 +639,7 @@
 
 
 /* External functions */
-extern inline void esp_cmd(struct NCR_ESP *esp, struct ESP_regs *eregs,
-			   unchar cmd);
+extern void esp_cmd(struct NCR_ESP *esp, struct ESP_regs *eregs, unchar cmd);
 extern struct NCR_ESP *esp_allocate(Scsi_Host_Template *, void *);
 extern void esp_deallocate(struct NCR_ESP *);
 extern void esp_release(void);
Index: drivers/scsi/README.aha152x
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/README.aha152x,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/README.aha152x	22 Jul 2004 19:50:05 -0000	1.1
+++ drivers/scsi/README.aha152x	4 Aug 2004 01:29:32 -0000	1.2
@@ -1,4 +1,4 @@
-$Id: README.aha152x,v 1.1 2004/07/22 19:50:05 joff Exp $
+$Id: README.aha152x,v 1.2 2004/08/04 01:29:32 joff Exp $
 Adaptec AHA-1520/1522 SCSI driver for Linux (aha152x)
 
 Copyright 1993-1999 Jürgen Fischer <fischer@norbit.de>
Index: drivers/scsi/README.aic7xxx
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/README.aic7xxx,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/README.aic7xxx	22 Jul 2004 19:50:05 -0000	1.1
+++ drivers/scsi/README.aic7xxx	4 Aug 2004 01:29:32 -0000	1.2
@@ -471,7 +471,7 @@
 Dean W. Gehnert
 deang@teleport.com
 
-$Revision: 1.1 $
+$Revision: 1.2 $
 
 Modified by Doug Ledford 1998-2000
 
Index: drivers/scsi/README.osst
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/README.osst,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/README.osst	22 Jul 2004 19:50:06 -0000	1.1
+++ drivers/scsi/README.osst	4 Aug 2004 01:29:32 -0000	1.2
@@ -189,7 +189,7 @@
 #!/bin/sh
 # Script to create OnStream SC-x0 device nodes (major 206)
 # Usage: Makedevs.sh [nos [path to dev]]
-# $Id: README.osst,v 1.1 2004/07/22 19:50:06 joff Exp $
+# $Id: README.osst,v 1.2 2004/08/04 01:29:32 joff Exp $
 major=206
 nrs=4
 dir=/dev
Index: drivers/scsi/README.st
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/README.st,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/README.st	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/README.st	4 Aug 2004 01:29:32 -0000	1.2
@@ -1,8 +1,8 @@
 This file contains brief information about the SCSI tape driver.
 The driver is currently maintained by Kai Mäkisara (email
-Kai.Makisara@metla.fi)
+Kai.Makisara@kolumbus.fi)
 
-Last modified: Tue Apr 16 22:32:10 2002 by makisara
+Last modified: Sun Apr  6 22:44:55 2003 by makisara
 
 
 BASICS
@@ -112,7 +112,7 @@
 
 Asynchronous writing. Writing the buffer contents to the tape is
 started and the write call returns immediately. The status is checked
-at the next tape operation.
+at the next tape operation. Applies only to variable block mode.
 
 Buffered writes and asynchronous writes may in some rare cases cause
 problems in multivolume operations if there is not enough space on the
@@ -147,11 +147,6 @@
 supports scatter/gather (the allocation is not limited to "DMA memory"
 and the buffer can be composed of several fragments).
 
-The threshold for triggering asynchronous write in fixed block mode
-is defined by ST_WRITE_THRESHOLD. This may be optimized for each
-use pattern. The default triggers asynchronous write after three
-default sized writes (10 kB) from tar.
-
 Scatter/gather buffers (buffers that consist of chunks non-contiguous
 in the physical memory) are used if contiguous buffers can't be
 allocated. To support all SCSI adapters (including those not
@@ -184,7 +179,6 @@
 are configurable when the driver is loaded as a module. The keywords are:
 
 buffer_kbs=xxx             the buffer size in kilobytes is set to xxx
-write_threshold_kbs=xxx    the write threshold in kilobytes set to xxx
 max_buffers=xxx            the maximum number of tape buffer set to xxx
 max_sg_segs=xxx		   the maximum number of scatter/gather
 			   segments
@@ -213,7 +207,7 @@
 
 where
   aa is the buffer size in 1024 byte units
-  bb is the write threshold in 1024 byte units
+  bb is the write threshold in 1024 byte units (not used any more)
   cc is the maximum number of tape buffers to allocate (the number of
         buffers is bounded also by the number of drives detected)
   dd is the maximum number of scatter/gather segments
@@ -321,9 +315,6 @@
 	MT_ST_SETBOOLEANS
 	MT_ST_CLEARBOOLEANS
 	   Sets or clears the option bits.
-        MT_ST_WRITE_THRESHOLD
-           Sets the write threshold for this device to kilobytes
-           specified by the lowest bits.
 	MT_ST_DEF_BLKSIZE
 	   Defines the default block size set automatically. Value
 	   0xffffff means that the default is not used any more.
Index: drivers/scsi/README.tmscsim
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/README.tmscsim,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/README.tmscsim	22 Jul 2004 19:50:04 -0000	1.1
+++ drivers/scsi/README.tmscsim	4 Aug 2004 01:29:32 -0000	1.2
@@ -446,4 +446,4 @@
 -------------------------------------------------------------------------
 Written by Kurt Garloff <kurt@garloff.de> 1998/06/11
 Last updated 2000/11/28, driver revision 2.0e7
-$Id: README.tmscsim,v 1.1 2004/07/22 19:50:04 joff Exp $
+$Id: README.tmscsim,v 1.2 2004/08/04 01:29:32 joff Exp $
Index: drivers/scsi/a2091.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/a2091.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/a2091.h	22 Jul 2004 19:50:07 -0000	1.1
+++ drivers/scsi/a2091.h	4 Aug 2004 01:29:32 -0000	1.2
@@ -1,7 +1,7 @@
 #ifndef A2091_H
 #define A2091_H
 
-/* $Id: a2091.h,v 1.1 2004/07/22 19:50:07 joff Exp $
+/* $Id: a2091.h,v 1.2 2004/08/04 01:29:32 joff Exp $
  *
  * Header file for the Commodore A2091 Zorro II SCSI controller for Linux
  *
Index: drivers/scsi/a3000.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/a3000.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/a3000.h	22 Jul 2004 19:50:07 -0000	1.1
+++ drivers/scsi/a3000.h	4 Aug 2004 01:29:32 -0000	1.2
@@ -1,7 +1,7 @@
 #ifndef A3000_H
 #define A3000_H
 
-/* $Id: a3000.h,v 1.1 2004/07/22 19:50:07 joff Exp $
+/* $Id: a3000.h,v 1.2 2004/08/04 01:29:32 joff Exp $
  *
  * Header file for the Amiga 3000 built-in SCSI controller for Linux
  *
Index: drivers/scsi/advansys.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/advansys.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/advansys.c	22 Jul 2004 19:50:07 -0000	1.1
+++ drivers/scsi/advansys.c	4 Aug 2004 01:29:32 -0000	1.2
@@ -5551,7 +5551,7 @@
                 }
             } else {
                 ADV_CARR_T      *carrp;
-                int             req_cnt;
+                int             req_cnt = 0;
                 adv_req_t       *reqp = NULL;
                 int             sg_cnt = 0;
 
@@ -9257,8 +9257,6 @@
         PCI_DEVFN(ASC_PCI_ID2DEV(asc_dvc->cfg->pci_slot_info),
             ASC_PCI_ID2FUNC(asc_dvc->cfg->pci_slot_info)),
         offset, byte_data);
-#else /* CONFIG_PCI */
-    return 0;
 #endif /* CONFIG_PCI */
 }
 
Index: drivers/scsi/aha152x.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha152x.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/aha152x.c	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/aha152x.c	4 Aug 2004 01:29:33 -0000	1.2
@@ -13,11 +13,11 @@
  * General Public License for more details.
  *
  *
- * $Id: aha152x.c,v 1.1 2004/07/22 19:50:02 joff Exp $
+ * $Id: aha152x.c,v 1.2 2004/08/04 01:29:33 joff Exp $
  *
  * $Log: aha152x.c,v $
- * Revision 1.1  2004/07/22 19:50:02  joff
- * Initial revision
+ * Revision 1.2  2004/08/04 01:29:33  joff
+ * merging 2.4.26-vrs1
  *
  * Revision 2.5  2002/04/14 11:24:53  fischer
  * - isapnp support
@@ -225,10 +225,6 @@
 
 #include <linux/module.h>
 
-#if defined(PCMCIA)
-#undef MODULE
-#endif
-
 #include <linux/sched.h>
 #include <asm/irq.h>
 #include <asm/io.h>
@@ -257,6 +253,10 @@
 
 #include <scsi/scsicam.h>
 
+#if defined(PCMCIA)
+#undef MODULE
+#endif
+
 /* DEFINES */
 
 /* For PCMCIA cards, always use AUTOCONF */
@@ -1933,12 +1933,30 @@
 static void intr(int irqno, void *dev_id, struct pt_regs *regs)
 {
 	struct Scsi_Host *shpnt = lookup_irq(irqno);
+	unsigned char rev, dmacntrl0;
 
 	if (!shpnt) {
 		printk(KERN_ERR "aha152x: catched interrupt %d for unknown controller.\n", irqno);
 		return;
 	}
 
+	/*
+	 * Read a couple of registers that are known to not be all 1's. If
+	 * we read all 1's (-1), that means that either:
+	 * a. The host adapter chip has gone bad, and we cannot control it,
+	 * OR
+	 * b. The host adapter is a PCMCIA card that has been ejected
+	 * In either case, we cannot do anything with the host adapter at
+	 * this point in time. So just ignore the interrupt and return.
+	 * In the latter case, the interrupt might actually be meant for
+	 * someone else sharing this IRQ, and that driver will handle it
+	 */
+	rev = GETPORT(REV);
+	dmacntrl0 = GETPORT(DMACNTRL0);
+	if ((rev == 0xFF) && (dmacntrl0 == 0xFF)) {
+		return;
+	}
+
 	/* no more interrupts from the controller, while we're busy.
 	   INTEN is restored by the BH handler */
 	CLRBITS(DMACNTRL0, INTEN);
@@ -3936,7 +3954,9 @@
 	return thislength < length ? thislength : length;
 }
 
+#ifndef PCMCIA
 /* Eventually this will go into an include file, but this will be later */
 static Scsi_Host_Template driver_template = AHA152X;
 
 #include "scsi_module.c"
+#endif
Index: drivers/scsi/aha152x.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha152x.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/aha152x.h	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/aha152x.h	4 Aug 2004 01:29:33 -0000	1.2
@@ -2,7 +2,7 @@
 #define _AHA152X_H
 
 /*
- * $Id: aha152x.h,v 1.1 2004/07/22 19:50:02 joff Exp $
+ * $Id: aha152x.h,v 1.2 2004/08/04 01:29:33 joff Exp $
  */
 
 #if defined(__KERNEL__)
@@ -27,7 +27,7 @@
    (unless we support more than 1 cmd_per_lun this should do) */
 #define AHA152X_MAXQUEUE 7
 
-#define AHA152X_REVID "Adaptec 152x SCSI driver; $Revision: 1.1 $"
+#define AHA152X_REVID "Adaptec 152x SCSI driver; $Revision: 1.2 $"
 
 /* Initial value of Scsi_Host entry */
 #define AHA152X { proc_name:			"aha152x",		\
Index: drivers/scsi/aha1542.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha1542.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/aha1542.c	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/aha1542.c	4 Aug 2004 01:29:33 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: aha1542.c,v 1.1 2004/07/22 19:50:02 joff Exp $
+/* $Id: aha1542.c,v 1.2 2004/08/04 01:29:33 joff Exp $
  *  linux/kernel/aha1542.c
  *
  *  Copyright (C) 1992  Tommy Thorn
@@ -88,7 +88,7 @@
 #endif
 
 /*
-   static const char RCSid[] = "$Header: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha1542.c,v 1.1 2004/07/22 19:50:02 joff Exp $";
+   static const char RCSid[] = "$Header: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha1542.c,v 1.2 2004/08/04 01:29:33 joff Exp $";
  */
 
 /* The adaptec can be configured for quite a number of addresses, but
@@ -111,8 +111,6 @@
 static int setup_busoff[MAXBOARDS];
 static int setup_dmaspeed[MAXBOARDS] __initdata = { -1, -1, -1, -1 };
 
-static char *setup_str[MAXBOARDS] __initdata;
-
 /*
  * LILO/Module params:  aha1542=<PORTBASE>[,<BUSON>,<BUSOFF>[,<DMASPEED>]]
  *
@@ -960,6 +958,7 @@
 
 #ifndef MODULE
 static int setup_idx = 0;
+static char *setup_str[MAXBOARDS] __initdata;
 
 void __init aha1542_setup(char *str, int *ints)
 {
Index: drivers/scsi/aha1542.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha1542.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/aha1542.h	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/aha1542.h	4 Aug 2004 01:29:33 -0000	1.2
@@ -1,12 +1,12 @@
 #ifndef _AHA1542_H
 
-/* $Id: aha1542.h,v 1.1 2004/07/22 19:50:02 joff Exp $
+/* $Id: aha1542.h,v 1.2 2004/08/04 01:29:33 joff Exp $
  *
  * Header file for the adaptec 1542 driver for Linux
  *
  * $Log: aha1542.h,v $
- * Revision 1.1  2004/07/22 19:50:02  joff
- * Initial revision
+ * Revision 1.2  2004/08/04 01:29:33  joff
+ * merging 2.4.26-vrs1
  *
  * Revision 1.1  1992/07/24  06:27:38  root
  * Initial revision
Index: drivers/scsi/aha1740.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha1740.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/aha1740.c	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/aha1740.c	4 Aug 2004 01:29:33 -0000	1.2
@@ -1,4 +1,4 @@
-/*  $Id: aha1740.c,v 1.1 2004/07/22 19:50:02 joff Exp $
+/*  $Id: aha1740.c,v 1.2 2004/08/04 01:29:33 joff Exp $
  *  1993/03/31
  *  linux/kernel/aha1740.c
  *
@@ -52,7 +52,7 @@
 #endif
 
 /*
-static const char RCSid[] = "$Header: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha1740.c,v 1.1 2004/07/22 19:50:02 joff Exp $";
+static const char RCSid[] = "$Header: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha1740.c,v 1.2 2004/08/04 01:29:33 joff Exp $";
 */
 
 struct aha1740_hostdata {
Index: drivers/scsi/aha1740.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aha1740.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/aha1740.h	22 Jul 2004 19:50:02 -0000	1.1
+++ drivers/scsi/aha1740.h	4 Aug 2004 01:29:33 -0000	1.2
@@ -1,6 +1,6 @@
 #ifndef _AHA1740_H
 
-/* $Id: aha1740.h,v 1.1 2004/07/22 19:50:02 joff Exp $
+/* $Id: aha1740.h,v 1.2 2004/08/04 01:29:33 joff Exp $
  *
  * Header file for the adaptec 1740 driver for Linux
  *
Index: drivers/scsi/aic7xxx_old.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/scsi/aic7xxx_old.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/scsi/aic7xxx_old.c	22 Jul 2004 19:50:03 -0000	1.1
+++ drivers/scsi/aic7xxx_old.c	4 Aug 2004 01:29:33 -0000	1.2
@@ -73,7 +73,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- *      $Id: aic7xxx_old.c,v 1.1 2004/07/22 19:50:03 joff Exp $
+ *      $Id: aic7xxx_old.c,v 1.2 2004/08/04 01:29:33 joff Exp $
  *---------------------------------------------------------------------------
  *
  *  Thanks also go to (in alphabetical order) the following:
@@ -93,7 +93,7 @@
  *
  *  Daniel M. Eischen, deischen@iworks.InterWorks.org, 1/23/97
  *
- *  $Id: aic7xxx_old.c,v 1.1 2004/07/22 19:50:03 joff Exp $
+ *  $Id: aic7xxx_old.c,v 1.2 2004/08/04 01:29:33 joff Exp $
  *-M*************************************************************************/
 
 /*+M**************************************************************************
